## org.apache.mahout.math.ssvd
Class SequentialBigSvd

    java.lang.Object
      org.apache.mahout.math.ssvd.SequentialBigSvd

    public class SequentialBigSvd

extends Object

Implements an in-memory version of stochastic projection based SVD. See SequentialOutOfCoreSvd for algorithm notes.

Constructor Summary
`SequentialBigSvd(Matrix A, int p)`

Method Summary
`Vector` `getSingularValues()`
`Matrix` `getU()`
`Matrix` `getV()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequentialBigSvd

    public SequentialBigSvd(Matrix A,
                            int p)

Method Detail

### getSingularValues

    public Vector getSingularValues()

### getU

    public Matrix getU()

### getV

    public Matrix getV()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.